Debian Bug report logs - #573189
Keep aufs working with new upstream kernel versions

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Tue, 9 Mar 2010 17:12:01 UTC

Severity: wishlist

Tags: pending

Found in versions 2.6.37-1~experimental.1, 2.6.34-1~experimental.2

Fixed in version linux-2.6/2.6.37-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-image-2.6.33-2-686. (Tue, 09 Mar 2010 17:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Mar 2010 17:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Tue, 09 Mar 2010 18:09:07 +0100
Package: linux-image-2.6.33-2-686
Version: 2.6.33-1~experimental.2
Severity: normal


In 2.3.33 aufs does not work and it is not mentioned in the config file,
not even as disabled.

This means debian-live cannot boot from 2.6.33.

This is a regression since 2.6.32 which included in-kernel aufs.


-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-image-2.6.33-2-686. (Tue, 09 Mar 2010 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Mar 2010 19:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 573189@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>, 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Tue, 9 Mar 2010 19:15:21 +0000
On Tue, Mar 09, 2010 at 06:09:07PM +0100, Michal Suchanek wrote:
> Package: linux-image-2.6.33-2-686
> Version: 2.6.33-1~experimental.2
> Severity: normal
> 
> 
> In 2.3.33 aufs does not work and it is not mentioned in the config file,
> not even as disabled.
> 
> This means debian-live cannot boot from 2.6.33.
> 
> This is a regression since 2.6.32 which included in-kernel aufs.
 
aufs is a dirty hack and we will not support it beyond squeeze.  Valerie
Aurora is working on union mounts which should go upstream in time for
squeeze+1.

Ben.

-- 
Ben Hutchings
Time is nature's way of making sure that everything doesn't happen at once.




Severity set to 'wishlist' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 09 Mar 2010 19:18:06 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 09 Mar 2010 19:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-image-2.6.33-2-686. (Wed, 10 Mar 2010 08:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Mar 2010 08:12:06 GMT) Full text and rfc822 format available.

Message #19 received at 573189@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "573189@bugs.debian.org" <573189@bugs.debian.org>
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Wed, 10 Mar 2010 08:44:00 +0100
Ben Hutchings wrote:
> On Tue, Mar 09, 2010 at 06:09:07PM +0100, Michal Suchanek wrote:
>> Package: linux-image-2.6.33-2-686
>> Version: 2.6.33-1~experimental.2
>> Severity: normal
>>
>>
>> In 2.3.33 aufs does not work and it is not mentioned in the config file,
>> not even as disabled.
>>
>> This means debian-live cannot boot from 2.6.33.
>>
>> This is a regression since 2.6.32 which included in-kernel aufs.
> 
> aufs is a dirty hack and we will not support it beyond squeeze.  Valerie
> Aurora is working on union mounts which should go upstream in time for
> squeeze+1.
> 
This means no live CDs for testing KMS and other new stuff that might 
pop up eventually.

Oh well.

Hope that the new union fs solution goes well and lasts a bit longer ;-)

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-image-2.6.33-2-686. (Wed, 10 Mar 2010 14:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Mar 2010 14:15:11 GMT) Full text and rfc822 format available.

Message #24 received at 573189@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573189@bugs.debian.org
Subject: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Wed, 10 Mar 2010 15:12:08 +0100
severity 573189 important
thanks

Hi,

as we discussed last time, unionfs-fuse is not acceptable.

until unionmount is available in upstream, the debian kernels need to 
have aufs2.

either, the kernel team is going to keep applying the aufs2 patches for 
the kernel >=2.6.32, or, we need aufs oot modules back in the archive.

If your intention is to no longer include aufs2 within the debian kernel 
images itself (which i'm quite surpised, because it was clearly said 
when linux-modules-extra-2.6 were dropped, that aufs will be included in 
the kernel until unionmount is available, however, you should clearly 
communicate that to us as you know we hare heavily depending on it, and 
not just wait until we find out), please state so *now*, so that we can 
bring aufs oot modules back into the archive.

this is quite upsetting.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'important' from 'wishlist' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 10 Mar 2010 14:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-image-2.6.33-2-686. (Thu, 11 Mar 2010 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 11 Mar 2010 02:33:03 GMT) Full text and rfc822 format available.

Message #31 received at 573189@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel@debian.org, 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Thu, 11 Mar 2010 02:26:55 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-03-10 at 15:12 +0100, Daniel Baumann wrote:
> severity 573189 important
> thanks
> 
> Hi,
> 
> as we discussed last time, unionfs-fuse is not acceptable.
> 
> until unionmount is available in upstream, the debian kernels need to 
> have aufs2.
> 
> either, the kernel team is going to keep applying the aufs2 patches for 
> the kernel >=2.6.32, or, we need aufs oot modules back in the archive.
> 
> If your intention is to no longer include aufs2 within the debian kernel 
> images itself (which i'm quite surpised, because it was clearly said 
> when linux-modules-extra-2.6 were dropped, that aufs will be included in 
> the kernel until unionmount is available,

I don't believe anyone made such a promise.  However, if you are going
to continue making interim snapshots of Debian Live and if aufs2 is
going to be updated to work with upstream kernel releases then we can
continue including it for a while.  Please do whatever you can to aid in
development of union mounts as a replacement.

[...]
> this is quite upsetting.

Sorry about that.

Ben.

-- 
Ben Hutchings
Time is nature's way of making sure that everything doesn't happen at once.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) wontfix. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Mar 2010 23:09:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sat, 13 Mar 2010 23:30:10 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 17 Mar 2010 22:21:09 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Wed, 17 Mar 2010 22:21:09 GMT) Full text and rfc822 format available.

Message #40 received at 573189-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 573189-close@bugs.debian.org
Subject: Bug#573189: fixed in linux-2.6 2.6.33-1~experimental.4
Date: Wed, 17 Mar 2010 22:18:32 +0000
Source: linux-2.6
Source-Version: 2.6.33-1~experimental.4

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.33-1~experimental.4_all.deb
linux-2.6_2.6.33-1~experimental.4.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.33-1~experimental.4.diff.gz
linux-2.6_2.6.33-1~experimental.4.dsc
  to main/l/linux-2.6/linux-2.6_2.6.33-1~experimental.4.dsc
linux-base_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-base_2.6.33-1~experimental.4_all.deb
linux-doc-2.6.33_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-doc-2.6.33_2.6.33-1~experimental.4_all.deb
linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.4_amd64.deb
linux-headers-2.6.33-2-all_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-all_2.6.33-1~experimental.4_amd64.deb
linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
linux-headers-2.6.33-2-common_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.33-2-common_2.6.33-1~experimental.4_amd64.deb
linux-image-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
linux-libc-dev_2.6.33-1~experimental.4_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.33-1~experimental.4_amd64.deb
linux-manual-2.6.33_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-manual-2.6.33_2.6.33-1~experimental.4_all.deb
linux-patch-debian-2.6.33_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.33_2.6.33-1~experimental.4_all.deb
linux-source-2.6.33_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-source-2.6.33_2.6.33-1~experimental.4_all.deb
linux-support-2.6.33-2_2.6.33-1~experimental.4_all.deb
  to main/l/linux-2.6/linux-support-2.6.33-2_2.6.33-1~experimental.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573189@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Mar 2010 18:13:53 +0100
Source: linux-2.6
Binary: linux-source-2.6.33 linux-doc-2.6.33 linux-manual-2.6.33 linux-patch-debian-2.6.33 firmware-linux-free linux-support-2.6.33-2 linux-base linux-libc-dev linux-headers-2.6.33-2-all linux-headers-2.6.33-2-all-alpha linux-headers-2.6.33-2-common linux-image-2.6.33-2-alpha-generic linux-headers-2.6.33-2-alpha-generic linux-image-2.6.33-2-alpha-smp linux-headers-2.6.33-2-alpha-smp linux-image-2.6.33-2-alpha-legacy linux-headers-2.6.33-2-alpha-legacy linux-headers-2.6.33-2-all-amd64 linux-image-2.6.33-2-amd64 linux-headers-2.6.33-2-amd64 linux-headers-2.6.33-2-all-armel linux-image-2.6.33-2-iop32x linux-headers-2.6.33-2-iop32x linux-image-2.6.33-2-ixp4xx linux-headers-2.6.33-2-ixp4xx linux-image-2.6.33-2-kirkwood linux-headers-2.6.33-2-kirkwood linux-image-2.6.33-2-orion5x linux-headers-2.6.33-2-orion5x linux-image-2.6.33-2-versatile linux-headers-2.6.33-2-versatile linux-headers-2.6.33-2-all-hppa linux-image-2.6.33-2-parisc linux-headers-2.6.33-2-parisc linux-image-2.6.33-2-parisc-smp
 linux-headers-2.6.33-2-parisc-smp linux-image-2.6.33-2-parisc64 linux-headers-2.6.33-2-parisc64 linux-image-2.6.33-2-parisc64-smp linux-headers-2.6.33-2-parisc64-smp linux-headers-2.6.33-2-all-i386 linux-image-2.6.33-2-486 linux-headers-2.6.33-2-486 linux-image-2.6.33-2-686 linux-headers-2.6.33-2-686 linux-image-2.6.33-2-686-bigmem linux-headers-2.6.33-2-686-bigmem linux-headers-2.6.33-2-all-ia64 linux-image-2.6.33-2-itanium linux-headers-2.6.33-2-itanium linux-image-2.6.33-2-mckinley linux-headers-2.6.33-2-mckinley linux-headers-2.6.33-2-all-m68k linux-image-2.6.33-2-amiga linux-headers-2.6.33-2-amiga linux-image-2.6.33-2-atari linux-headers-2.6.33-2-atari linux-image-2.6.33-2-bvme6000 linux-headers-2.6.33-2-bvme6000 linux-image-2.6.33-2-mac linux-headers-2.6.33-2-mac linux-image-2.6.33-2-mvme147 linux-headers-2.6.33-2-mvme147 linux-image-2.6.33-2-mvme16x linux-headers-2.6.33-2-mvme16x linux-headers-2.6.33-2-all-mips linux-image-2.6.33-2-r4k-ip22 linux-headers-2.6.33-2-r4k-ip22
 linux-image-2.6.33-2-r5k-ip32 linux-headers-2.6.33-2-r5k-ip32 linux-image-2.6.33-2-sb1-bcm91250a linux-headers-2.6.33-2-sb1-bcm91250a linux-image-2.6.33-2-sb1a-bcm91480b linux-headers-2.6.33-2-sb1a-bcm91480b linux-image-2.6.33-2-4kc-malta linux-headers-2.6.33-2-4kc-malta linux-image-2.6.33-2-5kc-malta linux-headers-2.6.33-2-5kc-malta linux-headers-2.6.33-2-all-mipsel linux-image-2.6.33-2-r5k-cobalt linux-headers-2.6.33-2-r5k-cobalt linux-headers-2.6.33-2-all-powerpc linux-image-2.6.33-2-powerpc linux-headers-2.6.33-2-powerpc linux-image-2.6.33-2-powerpc-smp linux-headers-2.6.33-2-powerpc-smp linux-image-2.6.33-2-powerpc64 linux-headers-2.6.33-2-powerpc64 linux-headers-2.6.33-2-all-s390 linux-image-2.6.33-2-s390x linux-headers-2.6.33-2-s390x linux-image-2.6.33-2-s390x-tape linux-headers-2.6.33-2-all-sparc linux-image-2.6.33-2-sparc64 linux-headers-2.6.33-2-sparc64 linux-image-2.6.33-2-sparc64-smp linux-headers-2.6.33-2-sparc64-smp linux-headers-2.6.33-2-all-sparc64
Architecture: source all amd64
Version: 2.6.33-1~experimental.4
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.33 - Linux kernel specific documentation for version 2.6.33
 linux-headers-2.6.33-2-486 - Header files for Linux 2.6.33-2-486
 linux-headers-2.6.33-2-4kc-malta - Header files for Linux 2.6.33-2-4kc-malta
 linux-headers-2.6.33-2-5kc-malta - Header files for Linux 2.6.33-2-5kc-malta
 linux-headers-2.6.33-2-686 - Header files for Linux 2.6.33-2-686
 linux-headers-2.6.33-2-686-bigmem - Header files for Linux 2.6.33-2-686-bigmem
 linux-headers-2.6.33-2-all - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-alpha - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-amd64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-armel - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-hppa - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-i386 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-ia64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-m68k - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-mips - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-mipsel - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-powerpc - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-s390 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-sparc - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-all-sparc64 - All header files for Linux 2.6.33
 linux-headers-2.6.33-2-alpha-generic - Header files for Linux 2.6.33-2-alpha-generic
 linux-headers-2.6.33-2-alpha-legacy - Header files for Linux 2.6.33-2-alpha-legacy
 linux-headers-2.6.33-2-alpha-smp - Header files for Linux 2.6.33-2-alpha-smp
 linux-headers-2.6.33-2-amd64 - Header files for Linux 2.6.33-2-amd64
 linux-headers-2.6.33-2-amiga - Header files for Linux 2.6.33-2-amiga
 linux-headers-2.6.33-2-atari - Header files for Linux 2.6.33-2-atari
 linux-headers-2.6.33-2-bvme6000 - Header files for Linux 2.6.33-2-bvme6000
 linux-headers-2.6.33-2-common - Common header files for Linux 2.6.33-2
 linux-headers-2.6.33-2-iop32x - Header files for Linux 2.6.33-2-iop32x
 linux-headers-2.6.33-2-itanium - Header files for Linux 2.6.33-2-itanium
 linux-headers-2.6.33-2-ixp4xx - Header files for Linux 2.6.33-2-ixp4xx
 linux-headers-2.6.33-2-kirkwood - Header files for Linux 2.6.33-2-kirkwood
 linux-headers-2.6.33-2-mac - Header files for Linux 2.6.33-2-mac
 linux-headers-2.6.33-2-mckinley - Header files for Linux 2.6.33-2-mckinley
 linux-headers-2.6.33-2-mvme147 - Header files for Linux 2.6.33-2-mvme147
 linux-headers-2.6.33-2-mvme16x - Header files for Linux 2.6.33-2-mvme16x
 linux-headers-2.6.33-2-orion5x - Header files for Linux 2.6.33-2-orion5x
 linux-headers-2.6.33-2-parisc - Header files for Linux 2.6.33-2-parisc
 linux-headers-2.6.33-2-parisc-smp - Header files for Linux 2.6.33-2-parisc-smp
 linux-headers-2.6.33-2-parisc64 - Header files for Linux 2.6.33-2-parisc64
 linux-headers-2.6.33-2-parisc64-smp - Header files for Linux 2.6.33-2-parisc64-smp
 linux-headers-2.6.33-2-powerpc - Header files for Linux 2.6.33-2-powerpc
 linux-headers-2.6.33-2-powerpc-smp - Header files for Linux 2.6.33-2-powerpc-smp
 linux-headers-2.6.33-2-powerpc64 - Header files for Linux 2.6.33-2-powerpc64
 linux-headers-2.6.33-2-r4k-ip22 - Header files for Linux 2.6.33-2-r4k-ip22
 linux-headers-2.6.33-2-r5k-cobalt - Header files for Linux 2.6.33-2-r5k-cobalt
 linux-headers-2.6.33-2-r5k-ip32 - Header files for Linux 2.6.33-2-r5k-ip32
 linux-headers-2.6.33-2-s390x - Header files for Linux 2.6.33-2-s390x
 linux-headers-2.6.33-2-sb1-bcm91250a - Header files for Linux 2.6.33-2-sb1-bcm91250a
 linux-headers-2.6.33-2-sb1a-bcm91480b - Header files for Linux 2.6.33-2-sb1a-bcm91480b
 linux-headers-2.6.33-2-sparc64 - Header files for Linux 2.6.33-2-sparc64
 linux-headers-2.6.33-2-sparc64-smp - Header files for Linux 2.6.33-2-sparc64-smp
 linux-headers-2.6.33-2-versatile - Header files for Linux 2.6.33-2-versatile
 linux-image-2.6.33-2-486 - Linux 2.6.33 for old PCs
 linux-image-2.6.33-2-4kc-malta - Linux 2.6.33 for MIPS Malta
 linux-image-2.6.33-2-5kc-malta - Linux 2.6.33 for MIPS Malta (64-bit)
 linux-image-2.6.33-2-686 - Linux 2.6.33 for modern PCs
 linux-image-2.6.33-2-686-bigmem - Linux 2.6.33 for PCs with 4GB+ RAM
 linux-image-2.6.33-2-alpha-generic - Linux 2.6.33 for Alpha
 linux-image-2.6.33-2-alpha-legacy - Linux 2.6.33 for Alpha Legacy
 linux-image-2.6.33-2-alpha-smp - Linux 2.6.33 for Alpha SMP
 linux-image-2.6.33-2-amd64 - Linux 2.6.33 for 64-bit PCs
 linux-image-2.6.33-2-amiga - Linux 2.6.33 for Amiga
 linux-image-2.6.33-2-atari - Linux 2.6.33 for Atari
 linux-image-2.6.33-2-bvme6000 - Linux 2.6.33 for BVM BVME4000 and BVME6000
 linux-image-2.6.33-2-iop32x - Linux 2.6.33 for IOP32x
 linux-image-2.6.33-2-itanium - Linux 2.6.33 for Itanium
 linux-image-2.6.33-2-ixp4xx - Linux 2.6.33 for IXP4xx
 linux-image-2.6.33-2-kirkwood - Linux 2.6.33 for Marvell Kirkwood
 linux-image-2.6.33-2-mac - Linux 2.6.33 for Macintosh
 linux-image-2.6.33-2-mckinley - Linux 2.6.33 for Itanium II
 linux-image-2.6.33-2-mvme147 - Linux 2.6.33 for Motorola MVME147
 linux-image-2.6.33-2-mvme16x - Linux 2.6.33 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.33-2-orion5x - Linux 2.6.33 for Marvell Orion
 linux-image-2.6.33-2-parisc - Linux 2.6.33 for 32-bit PA-RISC
 linux-image-2.6.33-2-parisc-smp - Linux 2.6.33 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.33-2-parisc64 - Linux 2.6.33 for 64-bit PA-RISC
 linux-image-2.6.33-2-parisc64-smp - Linux 2.6.33 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.33-2-powerpc - Linux 2.6.33 for uniprocessor 32-bit PowerPC
 linux-image-2.6.33-2-powerpc-smp - Linux 2.6.33 for multiprocessor 32-bit PowerPC
 linux-image-2.6.33-2-powerpc64 - Linux 2.6.33 for 64-bit PowerPC
 linux-image-2.6.33-2-r4k-ip22 - Linux 2.6.33 for SGI IP22
 linux-image-2.6.33-2-r5k-cobalt - Linux 2.6.33 for Cobalt
 linux-image-2.6.33-2-r5k-ip32 - Linux 2.6.33 for SGI IP32
 linux-image-2.6.33-2-s390x - Linux 2.6.33 for IBM zSeries
 linux-image-2.6.33-2-s390x-tape - Linux 2.6.33 for IBM zSeries, IPL from tape
 linux-image-2.6.33-2-sb1-bcm91250a - Linux 2.6.33 for BCM91250A
 linux-image-2.6.33-2-sb1a-bcm91480b - Linux 2.6.33 for BCM91480B
 linux-image-2.6.33-2-sparc64 - Linux 2.6.33 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.33-2-sparc64-smp - Linux 2.6.33 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.33-2-versatile - Linux 2.6.33 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.33 - Linux kernel API manual pages for version 2.6.33
 linux-patch-debian-2.6.33 - Debian patches to version 2.6.33 of the Linux kernel
 linux-source-2.6.33 - Linux kernel source for version 2.6.33 with Debian patches
 linux-support-2.6.33-2 - Support files for Linux 2.6.33
Closes: 572067 573189
Changes: 
 linux-2.6 (2.6.33-1~experimental.4) experimental; urgency=low
 .
   [ Ben Hutchings ]
   * Include aufs2, marked as staging (Closes: #573189)
   * Remove /usr/include/drm from linux-libc-dev; let libdrm-dev provide it
     again (Closes: #572067)
   * [x86] Enable rtl8192su driver using external firmware
 .
   [ maximilian attems]
   * Add stable 2.6.33.1.
Checksums-Sha1: 
 203c257cefe30251d10716849400d4b15427feb0 4710 linux-2.6_2.6.33-1~experimental.4.dsc
 5aaacf8bbffa1101602abd721fe54fb71d9a420c 575557 linux-2.6_2.6.33-1~experimental.4.diff.gz
 6693db2c87c5a751fcbe4b4298ef01179d389cea 6087864 linux-doc-2.6.33_2.6.33-1~experimental.4_all.deb
 d7cc88d4ccfb3c3796a838329c7445f849b7bc54 2752640 linux-manual-2.6.33_2.6.33-1~experimental.4_all.deb
 a83f0860f759fe79c3352a9c9921309891f02126 384444 linux-patch-debian-2.6.33_2.6.33-1~experimental.4_all.deb
 3d80330aebd453005caf20a4acbac76bf5aaf906 65486762 linux-source-2.6.33_2.6.33-1~experimental.4_all.deb
 369f5da330d65aac7e6136e1bdcff770114551a4 139994 linux-support-2.6.33-2_2.6.33-1~experimental.4_all.deb
 51647dbf56976818fcaa33fcd87a22ab1070e71e 128770 firmware-linux-free_2.6.33-1~experimental.4_all.deb
 17466c4288a829802419e49f1f9f79a5f1db569e 133710 linux-base_2.6.33-1~experimental.4_all.deb
 4e0bb3e5b5b3cbecc6ab85418a2db4a42e278776 28081014 linux-image-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 f60441caa6fc4924f73454cdd5a6c772e512e269 490084 linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 9b65a8bc12d1dacd837373266cbfcd87f89a51a1 3915956 linux-headers-2.6.33-2-common_2.6.33-1~experimental.4_amd64.deb
 332d36d0453a6837d374da64bd40f0ed85a58935 123764 linux-headers-2.6.33-2-all_2.6.33-1~experimental.4_amd64.deb
 600556198c6f00385212d7de4359ba10d063a322 123772 linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.4_amd64.deb
 3f206d26f8167830efbc0e72bae8361ac8ff8015 826280 linux-libc-dev_2.6.33-1~experimental.4_amd64.deb
Checksums-Sha256: 
 c4932911f094a03972ca370235e12679863506b65a30644578ace363da2b66fb 4710 linux-2.6_2.6.33-1~experimental.4.dsc
 3eb86836e140a7d7316da09c02ca18982a3de0c5bdd821fbca6c324236a935ec 575557 linux-2.6_2.6.33-1~experimental.4.diff.gz
 57ca71afe8b677457a43a7bfd61b273dca9572ce4b8535ff63a746240c04a486 6087864 linux-doc-2.6.33_2.6.33-1~experimental.4_all.deb
 d0da2f91d5192601ce701f6b25f1d5d14da6e1d4cc5be99118f1e30f5a7e14d8 2752640 linux-manual-2.6.33_2.6.33-1~experimental.4_all.deb
 d8804cb737253f56ee809f16f98bf412232e2ad100a49f2830b60060bb2ee486 384444 linux-patch-debian-2.6.33_2.6.33-1~experimental.4_all.deb
 a08802eeec7dca99f6ec5ae8c2daf56ec3de5aa00dd31eed5bd92d8d1cf80dd3 65486762 linux-source-2.6.33_2.6.33-1~experimental.4_all.deb
 c0a0c8d1a4b88e4b5a01425bbc1602f20b1c1adf0a5520e8ebbb2569c7fe0ddb 139994 linux-support-2.6.33-2_2.6.33-1~experimental.4_all.deb
 622a3bcf5e6f0fc9336eb90fb3e258a50a898ad2e93c4a05caf304a9eea9b311 128770 firmware-linux-free_2.6.33-1~experimental.4_all.deb
 0974525186706894bf030238d98d831895d6b593d6c34fc1a6f12926d9b3b55c 133710 linux-base_2.6.33-1~experimental.4_all.deb
 47def4f1e38bc3c06d629e7d1067e802412af3a2c3422709e9837f683a1c700b 28081014 linux-image-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 94011a936fe95a66e6f4d75c27e58b45119d4ca91a2710bdcf82380ebcd2bd85 490084 linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 572b251e2a027c7bfdb22828d3fe7d7a35661044edd8b88c8266fa36703ed643 3915956 linux-headers-2.6.33-2-common_2.6.33-1~experimental.4_amd64.deb
 c395fd46377283fad942e46c6df686b2d53701b49bfff2ef4d2619a6d13c2575 123764 linux-headers-2.6.33-2-all_2.6.33-1~experimental.4_amd64.deb
 d20d421509dfe3ccb996c62e567976dda9d7f191675340bb5c76ed54fc0a517c 123772 linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.4_amd64.deb
 178629be76893f295051c07305e549ced0288f663761ce602293c0c4913b8ca5 826280 linux-libc-dev_2.6.33-1~experimental.4_amd64.deb
Files: 
 7dab4fd26ac02a8454c8cc4321f42193 4710 kernel optional linux-2.6_2.6.33-1~experimental.4.dsc
 a164fe375c202252c1dbe7837ea1c600 575557 kernel optional linux-2.6_2.6.33-1~experimental.4.diff.gz
 22f7ac82821b53e97d2a6bead8d5d2cc 6087864 doc optional linux-doc-2.6.33_2.6.33-1~experimental.4_all.deb
 14d1fe72ffef81190690d0cbcb18fb06 2752640 doc optional linux-manual-2.6.33_2.6.33-1~experimental.4_all.deb
 fc70d58280dbe4642c0fd61ac41da4ff 384444 kernel optional linux-patch-debian-2.6.33_2.6.33-1~experimental.4_all.deb
 5935b1a5ce987c6a057a5af86aa4bd0f 65486762 kernel optional linux-source-2.6.33_2.6.33-1~experimental.4_all.deb
 9c7c8c7a04f8c8b8b10b611064ea11da 139994 devel optional linux-support-2.6.33-2_2.6.33-1~experimental.4_all.deb
 f339697398f7d280f4744c569fdac134 128770 kernel optional firmware-linux-free_2.6.33-1~experimental.4_all.deb
 acfd0fa8e4fadb306930641eb3f6f2a8 133710 kernel optional linux-base_2.6.33-1~experimental.4_all.deb
 fe82bff4ac1aef1eac583de8f13052fc 28081014 kernel optional linux-image-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 c0ac0f3ffb5c7af871ad20ee77418bba 490084 kernel optional linux-headers-2.6.33-2-amd64_2.6.33-1~experimental.4_amd64.deb
 ea025fc0dd1b11d21b9a6beeb36e8133 3915956 kernel optional linux-headers-2.6.33-2-common_2.6.33-1~experimental.4_amd64.deb
 b2b5ef54d0ad1ec3a874d8fb0dbc3de5 123764 kernel optional linux-headers-2.6.33-2-all_2.6.33-1~experimental.4_amd64.deb
 84a3a44ee6c01070bb7e3d40a66b5627 123772 kernel optional linux-headers-2.6.33-2-all-amd64_2.6.33-1~experimental.4_amd64.deb
 f05ffe3362c32275a473ecf1cd2fe1e4 826280 devel optional linux-libc-dev_2.6.33-1~experimental.4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkuhMvIACgkQeW7Lc5tEHqhQRgCfZX7tyL4WhQtUE9pajHkZ/R1V
VAoAnjQAIx+IjEVKHupSKWtc8FvrF8AQ
=oe4d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Apr 2010 07:45:11 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 16:03:06 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions linux-2.6/2.6.33-1~experimental.4 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jun 2010 16:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#573189; Package linux-image-2.6.33-2-686. (Wed, 09 Jun 2010 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Wed, 09 Jun 2010 16:12:03 GMT) Full text and rfc822 format available.

Message #51 received at 573189@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Wed, 09 Jun 2010 18:10:05 +0200
unarchive 573189
reopen 573189
found 553472 2.6.34-1~experimental.2
thanks

...and the story of being ignored apparently continues :(

---snip---
r15628 | maks | 2010-05-05 23:44:47 +0200 (Wed, 05 May 2010) | 4 lines

sync to 2.6.34-rc6

disabled arm feature patches, nuked merged stuff, disabled aufs,
fixed orig generation.
---snap---

why can't you guys not a) communicate when you disable things other
people relay on and, b) write better commit messages (e.g. in case the
disabling was just temporary, so that we don't need to constantly worry)?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#573189; Package linux-image-2.6.33-2-686. (Wed, 09 Jun 2010 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Wed, 09 Jun 2010 16:12:05 GMT) Full text and rfc822 format available.

Message #56 received at 573189@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Wed, 09 Jun 2010 18:10:44 +0200
ressign 573189 linux-image-2.6
found 553472 2.6.34-1~experimental.2
thanks

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug Marked as found in versions 2.6.34-1~experimental.2. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 16:24:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.33-2-686' to 'linux-2.6'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 16:24:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.33-1~experimental.2 and 2.6.34-1~experimental.2. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 16:24:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.34-1~experimental.2. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 16:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-2.6. (Wed, 09 Jun 2010 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 09 Jun 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #69 received at 573189@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel@debian.org
Cc: Debian kernel team <debian-kernel@lists.debian.org>, 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in 2.6.33
Date: Wed, 09 Jun 2010 23:18:08 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-06-09 at 17:59 +0200, Daniel Baumann wrote:
> unarchive 573189
> reopen 573189
> found 553472 2.6.34-1~experimental.2
> thanks
> 
> ...and the story of being ignored apparently continues :(
> 
> ---snip---
> r15628 | maks | 2010-05-05 23:44:47 +0200 (Wed, 05 May 2010) | 4 lines
> 
> sync to 2.6.34-rc6
> 
> disabled arm feature patches, nuked merged stuff, disabled aufs,
> fixed orig generation.
> ---snap---
> 
> why can't you guys not a) communicate when you disable things other
> people relay on and, b) write better commit messages (e.g. in case the
> disabling was just temporary, so that we don't need to constantly worry)?

Why can't you understand that:
- squeeze is going to use 2.6.32
- experimental is experimental
- aufs is a dirty hack and will keep on breaking

Ben.
-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'Keep aufs working with new upstream kernel versions' from 'linux-image-2.6.33-2-686: aufs does not work in 2.6.33' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 09 Jun 2010 22:21:09 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 09 Jun 2010 22:21:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.37-1~experimental.1. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 06:21:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 18:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-2.6. (Tue, 15 Feb 2011 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Feb 2011 15:18:03 GMT) Full text and rfc822 format available.

Message #82 received at 573189@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: a.vasilishin@kpi.ua
Cc: 573189@bugs.debian.org, Debian kernel team <debian-kernel@lists.debian.org>
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in, 2.6.33
Date: Tue, 15 Feb 2011 15:15:25 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2011-02-15 at 17:09 +0200, Андрей Василишин wrote:
> > Why can't you understand that:
>  > - squeeze is going to use 2.6.32
>  > - experimental is experimental
>  > - aufs is a dirty hack and will keep on breaking
> 
> Why is aufs a dirty hack?

Because the Linux VFS doesn't (yet) provide the generic operations that
a union filesystem needs.  If you look at the aufs config options and
the code, you will see that it needs to handle various filesystems
specially, and it needs to work around various limitations of the VFS.

> I am using it for merging many HDDs in a big storage. I tested mhddfs 
> (http://svn.uvw.ru/mhddfs/trunk/README) and it very often crashed.

How that does that show that aufs is good?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-2.6. (Tue, 15 Feb 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.vasilishin@kpi.ua:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Feb 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #87 received at 573189@bugs.debian.org (full text, mbox):

From: Андрей Василишин <a.vasilishin@kpi.ua>
To: 573189@bugs.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in, 2.6.33
Date: Tue, 15 Feb 2011 17:09:47 +0200
> Why can't you understand that:
> - squeeze is going to use 2.6.32
> - experimental is experimental
> - aufs is a dirty hack and will keep on breaking

Why is aufs a dirty hack?
I am using it for merging many HDDs in a big storage. I tested mhddfs 
(http://svn.uvw.ru/mhddfs/trunk/README) and it very often crashed.

-- 
WBR, Andrey Vasilishin CDIG1-UANIC, CDIG1-RIPE




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-2.6. (Tue, 15 Feb 2011 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.vasilishin@kpi.ua:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Feb 2011 16:33:09 GMT) Full text and rfc822 format available.

Message #92 received at 573189@bugs.debian.org (full text, mbox):

From: Андрей Василишин <a.vasilishin@kpi.ua>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 573189@bugs.debian.org, Debian kernel team <debian-kernel@lists.debian.org>
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in, 2.6.33
Date: Tue, 15 Feb 2011 18:27:44 +0200
15.02.2011 17:15, Ben Hutchings пишет:
> On Tue, 2011-02-15 at 17:09 +0200, Андрей Василишин wrote:
>>> Why can't you understand that:
>>   >  - squeeze is going to use 2.6.32
>>   >  - experimental is experimental
>>   >  - aufs is a dirty hack and will keep on breaking
>>
>> Why is aufs a dirty hack?
>
> Because the Linux VFS doesn't (yet) provide the generic operations that
> a union filesystem needs.  If you look at the aufs config options and
> the code, you will see that it needs to handle various filesystems
> specially, and it needs to work around various limitations of the VFS.

Thanks for the explanation.

>> I am using it for merging many HDDs in a big storage. I tested mhddfs
>> (http://svn.uvw.ru/mhddfs/trunk/README) and it very often crashed.
>
> How that does that show that aufs is good?
>


mhddfs uses FUSE and if Valerie Aurora make the same it like reinvent 
the wheel.
In any case, I am ready to become a beta-tester for new filesystem.

-- 
WBR, Andrey Vasilishin CDIG1-UANIC, CDIG1-RIPE




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 15 Feb 2011 16:51:05 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Tue, 15 Feb 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #97 received at 573189-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 573189-close@bugs.debian.org
Subject: Bug#573189: fixed in linux-2.6 2.6.37-1
Date: Tue, 15 Feb 2011 16:48:29 +0000
Source: linux-2.6
Source-Version: 2.6.37-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.37-1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.37-1_all.deb
linux-2.6_2.6.37-1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.37-1.diff.gz
linux-2.6_2.6.37-1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.37-1.dsc
linux-base_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-base_2.6.37-1_all.deb
linux-doc-2.6.37_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.37_2.6.37-1_all.deb
linux-manual-2.6.37_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.37_2.6.37-1_all.deb
linux-patch-debian-2.6.37_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.37_2.6.37-1_all.deb
linux-source-2.6.37_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-source-2.6.37_2.6.37-1_all.deb
linux-support-2.6.37-1_2.6.37-1_all.deb
  to main/l/linux-2.6/linux-support-2.6.37-1_2.6.37-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573189@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 15 Feb 2011 04:14:09 +0000
Source: linux-2.6
Binary: linux-tools-2.6.37 linux-source-2.6.37 linux-doc-2.6.37 linux-manual-2.6.37 linux-patch-debian-2.6.37 firmware-linux-free linux-support-2.6.37-1 linux-base linux-libc-dev linux-headers-2.6.37-1-all linux-headers-2.6.37-1-all-alpha linux-headers-2.6.37-1-common linux-image-2.6.37-1-alpha-generic linux-headers-2.6.37-1-alpha-generic linux-image-2.6.37-1-alpha-smp linux-headers-2.6.37-1-alpha-smp linux-image-2.6.37-1-alpha-legacy linux-headers-2.6.37-1-alpha-legacy linux-headers-2.6.37-1-all-amd64 linux-image-2.6.37-1-amd64 linux-headers-2.6.37-1-amd64 linux-image-2.6.37-1-amd64-dbg linux-headers-2.6.37-1-all-armel linux-image-2.6.37-1-iop32x linux-headers-2.6.37-1-iop32x linux-image-2.6.37-1-ixp4xx linux-headers-2.6.37-1-ixp4xx linux-image-2.6.37-1-kirkwood linux-headers-2.6.37-1-kirkwood linux-image-2.6.37-1-orion5x linux-headers-2.6.37-1-orion5x linux-image-2.6.37-1-versatile linux-headers-2.6.37-1-versatile linux-headers-2.6.37-1-all-hppa
 linux-image-2.6.37-1-parisc linux-headers-2.6.37-1-parisc linux-image-2.6.37-1-parisc-smp linux-headers-2.6.37-1-parisc-smp linux-image-2.6.37-1-parisc64 linux-headers-2.6.37-1-parisc64 linux-image-2.6.37-1-parisc64-smp linux-headers-2.6.37-1-parisc64-smp linux-headers-2.6.37-1-all-i386 linux-image-2.6.37-1-486 linux-headers-2.6.37-1-486 linux-image-2.6.37-1-686 linux-headers-2.6.37-1-686 linux-image-2.6.37-1-686-bigmem linux-headers-2.6.37-1-686-bigmem linux-image-2.6.37-1-686-bigmem-dbg linux-headers-2.6.37-1-all-ia64 linux-image-2.6.37-1-itanium linux-headers-2.6.37-1-itanium linux-image-2.6.37-1-mckinley linux-headers-2.6.37-1-mckinley linux-headers-2.6.37-1-all-m68k linux-image-2.6.37-1-amiga linux-headers-2.6.37-1-amiga linux-image-2.6.37-1-atari linux-headers-2.6.37-1-atari linux-image-2.6.37-1-bvme6000 linux-headers-2.6.37-1-bvme6000 linux-image-2.6.37-1-mac linux-headers-2.6.37-1-mac linux-image-2.6.37-1-mvme147 linux-headers-2.6.37-1-mvme147
 linux-image-2.6.37-1-mvme16x linux-headers-2.6.37-1-mvme16x linux-headers-2.6.37-1-all-mips linux-image-2.6.37-1-r4k-ip22 linux-headers-2.6.37-1-r4k-ip22 linux-image-2.6.37-1-r5k-ip32 linux-headers-2.6.37-1-r5k-ip32 linux-image-2.6.37-1-sb1-bcm91250a linux-headers-2.6.37-1-sb1-bcm91250a linux-image-2.6.37-1-sb1a-bcm91480b linux-headers-2.6.37-1-sb1a-bcm91480b linux-image-2.6.37-1-4kc-malta linux-headers-2.6.37-1-4kc-malta linux-image-2.6.37-1-5kc-malta linux-headers-2.6.37-1-5kc-malta linux-image-2.6.37-1-octeon linux-headers-2.6.37-1-octeon linux-headers-2.6.37-1-all-mipsel linux-image-2.6.37-1-r5k-cobalt linux-headers-2.6.37-1-r5k-cobalt linux-image-2.6.37-1-loongson-2f linux-headers-2.6.37-1-loongson-2f linux-headers-2.6.37-1-all-powerpc linux-image-2.6.37-1-powerpc linux-headers-2.6.37-1-powerpc linux-image-2.6.37-1-powerpc-smp linux-headers-2.6.37-1-powerpc-smp linux-image-2.6.37-1-powerpc64 linux-headers-2.6.37-1-powerpc64 linux-headers-2.6.37-1-all-s390
 linux-image-2.6.37-1-s390x linux-headers-2.6.37-1-s390x linux-image-2.6.37-1-s390x-tape linux-headers-2.6.37-1-all-sh4 linux-image-2.6.37-1-sh7751r linux-headers-2.6.37-1-sh7751r linux-image-2.6.37-1-sh7785lcr linux-headers-2.6.37-1-sh7785lcr linux-headers-2.6.37-1-all-sparc linux-image-2.6.37-1-sparc64 linux-headers-2.6.37-1-sparc64 linux-image-2.6.37-1-sparc64-smp linux-headers-2.6.37-1-sparc64-smp
 linux-headers-2.6.37-1-all-sparc64
Architecture: all amd64 source
Version: 2.6.37-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 573189 597658 599877 602450 609371 609538 609615 613248
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.37 - Linux kernel specific documentation for version 2.6.37
 linux-headers-2.6.37-1-486 - Header files for Linux 2.6.37-1-486
 linux-headers-2.6.37-1-4kc-malta - Header files for Linux 2.6.37-1-4kc-malta
 linux-headers-2.6.37-1-5kc-malta - Header files for Linux 2.6.37-1-5kc-malta
 linux-headers-2.6.37-1-686-bigmem - Header files for Linux 2.6.37-1-686-bigmem
 linux-headers-2.6.37-1-686 - Header files for Linux 2.6.37-1-686
 linux-headers-2.6.37-1-all - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-alpha - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-amd64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-armel - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-hppa - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-i386 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-ia64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-m68k - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-mips - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-mipsel - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-powerpc - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-s390 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-sh4 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-sparc64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-all-sparc - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-1-alpha-generic - Header files for Linux 2.6.37-1-alpha-generic
 linux-headers-2.6.37-1-alpha-legacy - Header files for Linux 2.6.37-1-alpha-legacy
 linux-headers-2.6.37-1-alpha-smp - Header files for Linux 2.6.37-1-alpha-smp
 linux-headers-2.6.37-1-amd64 - Header files for Linux 2.6.37-1-amd64
 linux-headers-2.6.37-1-amiga - Header files for Linux 2.6.37-1-amiga
 linux-headers-2.6.37-1-atari - Header files for Linux 2.6.37-1-atari
 linux-headers-2.6.37-1-bvme6000 - Header files for Linux 2.6.37-1-bvme6000
 linux-headers-2.6.37-1-common - Common header files for Linux 2.6.37-1
 linux-headers-2.6.37-1-iop32x - Header files for Linux 2.6.37-1-iop32x
 linux-headers-2.6.37-1-itanium - Header files for Linux 2.6.37-1-itanium
 linux-headers-2.6.37-1-ixp4xx - Header files for Linux 2.6.37-1-ixp4xx
 linux-headers-2.6.37-1-kirkwood - Header files for Linux 2.6.37-1-kirkwood
 linux-headers-2.6.37-1-loongson-2f - Header files for Linux 2.6.37-1-loongson-2f
 linux-headers-2.6.37-1-mac - Header files for Linux 2.6.37-1-mac
 linux-headers-2.6.37-1-mckinley - Header files for Linux 2.6.37-1-mckinley
 linux-headers-2.6.37-1-mvme147 - Header files for Linux 2.6.37-1-mvme147
 linux-headers-2.6.37-1-mvme16x - Header files for Linux 2.6.37-1-mvme16x
 linux-headers-2.6.37-1-octeon - Header files for Linux 2.6.37-1-octeon
 linux-headers-2.6.37-1-orion5x - Header files for Linux 2.6.37-1-orion5x
 linux-headers-2.6.37-1-parisc64 - Header files for Linux 2.6.37-1-parisc64
 linux-headers-2.6.37-1-parisc64-smp - Header files for Linux 2.6.37-1-parisc64-smp
 linux-headers-2.6.37-1-parisc - Header files for Linux 2.6.37-1-parisc
 linux-headers-2.6.37-1-parisc-smp - Header files for Linux 2.6.37-1-parisc-smp
 linux-headers-2.6.37-1-powerpc64 - Header files for Linux 2.6.37-1-powerpc64
 linux-headers-2.6.37-1-powerpc - Header files for Linux 2.6.37-1-powerpc
 linux-headers-2.6.37-1-powerpc-smp - Header files for Linux 2.6.37-1-powerpc-smp
 linux-headers-2.6.37-1-r4k-ip22 - Header files for Linux 2.6.37-1-r4k-ip22
 linux-headers-2.6.37-1-r5k-cobalt - Header files for Linux 2.6.37-1-r5k-cobalt
 linux-headers-2.6.37-1-r5k-ip32 - Header files for Linux 2.6.37-1-r5k-ip32
 linux-headers-2.6.37-1-s390x - Header files for Linux 2.6.37-1-s390x
 linux-headers-2.6.37-1-sb1a-bcm91480b - Header files for Linux 2.6.37-1-sb1a-bcm91480b
 linux-headers-2.6.37-1-sb1-bcm91250a - Header files for Linux 2.6.37-1-sb1-bcm91250a
 linux-headers-2.6.37-1-sh7751r - Header files for Linux 2.6.37-1-sh7751r
 linux-headers-2.6.37-1-sh7785lcr - Header files for Linux 2.6.37-1-sh7785lcr
 linux-headers-2.6.37-1-sparc64 - Header files for Linux 2.6.37-1-sparc64
 linux-headers-2.6.37-1-sparc64-smp - Header files for Linux 2.6.37-1-sparc64-smp
 linux-headers-2.6.37-1-versatile - Header files for Linux 2.6.37-1-versatile
 linux-image-2.6.37-1-486 - Linux 2.6.37 for old PCs
 linux-image-2.6.37-1-4kc-malta - Linux 2.6.37 for MIPS Malta
 linux-image-2.6.37-1-5kc-malta - Linux 2.6.37 for MIPS Malta (64-bit)
 linux-image-2.6.37-1-686-bigmem-dbg - Debugging infos for Linux 2.6.37-1-686-bigmem
 linux-image-2.6.37-1-686-bigmem - Linux 2.6.37 for PCs with 4GB+ RAM
 linux-image-2.6.37-1-686 - Linux 2.6.37 for modern PCs
 linux-image-2.6.37-1-alpha-generic - Linux 2.6.37 for Alpha
 linux-image-2.6.37-1-alpha-legacy - Linux 2.6.37 for Alpha Legacy
 linux-image-2.6.37-1-alpha-smp - Linux 2.6.37 for Alpha SMP
 linux-image-2.6.37-1-amd64-dbg - Debugging infos for Linux 2.6.37-1-amd64
 linux-image-2.6.37-1-amd64 - Linux 2.6.37 for 64-bit PCs
 linux-image-2.6.37-1-amiga - Linux 2.6.37 for Amiga
 linux-image-2.6.37-1-atari - Linux 2.6.37 for Atari
 linux-image-2.6.37-1-bvme6000 - Linux 2.6.37 for BVM BVME4000 and BVME6000
 linux-image-2.6.37-1-iop32x - Linux 2.6.37 for IOP32x
 linux-image-2.6.37-1-itanium - Linux 2.6.37 for Itanium
 linux-image-2.6.37-1-ixp4xx - Linux 2.6.37 for IXP4xx
 linux-image-2.6.37-1-kirkwood - Linux 2.6.37 for Marvell Kirkwood
 linux-image-2.6.37-1-loongson-2f - Linux 2.6.37 for Loongson 2F
 linux-image-2.6.37-1-mac - Linux 2.6.37 for Macintosh
 linux-image-2.6.37-1-mckinley - Linux 2.6.37 for Itanium II
 linux-image-2.6.37-1-mvme147 - Linux 2.6.37 for Motorola MVME147
 linux-image-2.6.37-1-mvme16x - Linux 2.6.37 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.37-1-octeon - Linux 2.6.37 for Octeon
 linux-image-2.6.37-1-orion5x - Linux 2.6.37 for Marvell Orion
 linux-image-2.6.37-1-parisc64 - Linux 2.6.37 for 64-bit PA-RISC
 linux-image-2.6.37-1-parisc64-smp - Linux 2.6.37 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.37-1-parisc - Linux 2.6.37 for 32-bit PA-RISC
 linux-image-2.6.37-1-parisc-smp - Linux 2.6.37 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.37-1-powerpc64 - Linux 2.6.37 for 64-bit PowerPC
 linux-image-2.6.37-1-powerpc - Linux 2.6.37 for uniprocessor 32-bit PowerPC
 linux-image-2.6.37-1-powerpc-smp - Linux 2.6.37 for multiprocessor 32-bit PowerPC
 linux-image-2.6.37-1-r4k-ip22 - Linux 2.6.37 for SGI IP22
 linux-image-2.6.37-1-r5k-cobalt - Linux 2.6.37 for Cobalt
 linux-image-2.6.37-1-r5k-ip32 - Linux 2.6.37 for SGI IP32
 linux-image-2.6.37-1-s390x - Linux 2.6.37 for IBM zSeries
 linux-image-2.6.37-1-s390x-tape - Linux 2.6.37 for IBM zSeries, IPL from tape
 linux-image-2.6.37-1-sb1a-bcm91480b - Linux 2.6.37 for BCM91480B
 linux-image-2.6.37-1-sb1-bcm91250a - Linux 2.6.37 for BCM91250A
 linux-image-2.6.37-1-sh7751r - Linux 2.6.37 for sh7751r
 linux-image-2.6.37-1-sh7785lcr - Linux 2.6.37 for sh7785lcr
 linux-image-2.6.37-1-sparc64 - Linux 2.6.37 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.37-1-sparc64-smp - Linux 2.6.37 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.37-1-versatile - Linux 2.6.37 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.37 - Linux kernel API manual pages for version 2.6.37
 linux-patch-debian-2.6.37 - Debian patches to version 2.6.37 of the Linux kernel
 linux-source-2.6.37 - Linux kernel source for version 2.6.37 with Debian patches
 linux-support-2.6.37-1 - Support files for Linux 2.6.37
 linux-tools-2.6.37 - Performance analysis tools for Linux 2.6.37
Changes: 
 linux-2.6 (2.6.37-1) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * [arm] ixp4xx: Revert build fix, now applied upstream which resulted
     in another build failure
   * r8169: Keep firmware in memory (Closes: #609538)
   * r8712u: Firmware filename is rtlwifi/rtl8712u.bin (Closes: #602450)
   * [sparc] Fix misaligned tracing information which the module loader
     does not support (Closes: #609371)
   * Set ABI to 1
   * Add aufs2.1, marked as staging (Closes: #573189, #613248)
   * fs/notify: Enable FANOTIFY (Closes: #599877)
   * acer-wmi, aic94xx, asus_acpi, iscsi, janz-ican3, rtc-ds1511, tc1100-wmi:
     Restrict write permissions on files in procfs/sysfs
   * nbd: Remove module-level ioctl mutex mistakenly introduced in 2.6.37
   * [x86] crypto: Re-enable AES_NI_INTEL as module (Closes: #597658)
   * [powerpc] video/fb: Enable FB_VGA16 as built-in; build FB_CT65550,
     FB_NVIDIA, FB_MATROX, FB_RADEON, FB_ATY128, FB_ATY, FB_SIS, FB_3DFX
     as modules (Closes: #609615)
 .
   [ Aurelien Jarno ]
   * [sh4] Export cpu_core_map to fix build failure with CONFIG_SFC=m.
   * [mips/5kc-malta] Enable CONFIG_VGA_CONSOLE.
 .
   [ Bastian Blank ]
   * Enable CIFS fscache and ACL support.
   * Enable Xen PCI frontend.
Checksums-Sha1: 
 de15fb8eb7e9a3f3b00833a61e76b16886795144 5732 linux-2.6_2.6.37-1.dsc
 99a56c380c9644fb051851a77da2d03b7684becc 532798 linux-2.6_2.6.37-1.diff.gz
 84f464c0e6f717bbec68dd20a05a88edaa738298 151864 linux-support-2.6.37-1_2.6.37-1_all.deb
 d2f2abc8c353a3755434cd27e66ecc93723eaae1 313928 linux-patch-debian-2.6.37_2.6.37-1_all.deb
 fb59105b53eb06df0d8117f71616edab25538a98 161238 linux-base_2.6.37-1_all.deb
 f9cda9505d6e996fd8ae33c42c5577ba74c0c08d 140324 firmware-linux-free_2.6.37-1_all.deb
 d26424651affeaf7ad4ce082df25f80b66d8a6aa 6605054 linux-doc-2.6.37_2.6.37-1_all.deb
 758dd86c5f16864bb6e5b54c5d603b959f845c0d 3016258 linux-manual-2.6.37_2.6.37-1_all.deb
 1b38b050db7bc08decbaac4290a59d65cadbfa7f 72637072 linux-source-2.6.37_2.6.37-1_all.deb
Checksums-Sha256: 
 a3f44d4537245a987dacc4c1a2c85172e230681de6ba50bd52a7282bc5050fa8 5732 linux-2.6_2.6.37-1.dsc
 1c96056f6cdecfa7b34a20a20ab70ec9ab956d67885ab96e0767dde26ed254f1 532798 linux-2.6_2.6.37-1.diff.gz
 ee38c9ed92cf62e5d9d05cee2335afb4f57f8400c51c827d6399c0b8e48cdf5c 151864 linux-support-2.6.37-1_2.6.37-1_all.deb
 ca0e95f72843c5a42cedff6a3674ab0e775467e624f66ab369b0946b52598b04 313928 linux-patch-debian-2.6.37_2.6.37-1_all.deb
 a5235d97b50495b52a3ac6ec6dea22b4d676ece976d13feb755ed5f7656b24cf 161238 linux-base_2.6.37-1_all.deb
 4420cc5f9b3da3ee88eecb076f0e1acf904292bf51b0bcff96d2e0d900419ef1 140324 firmware-linux-free_2.6.37-1_all.deb
 d4959c04dfb84384e943fd4ed06d37b0f70d2722e820584655aeca24a6df992f 6605054 linux-doc-2.6.37_2.6.37-1_all.deb
 93c89b1f7e5ccba8b4f5de4a60c509384a80a6ca1b12b6da49ff43c331f10a25 3016258 linux-manual-2.6.37_2.6.37-1_all.deb
 7ab0a2a95ea75ba3c75af6f4664da64ca0bd2b7b840e4a9475e5443a5ec53b91 72637072 linux-source-2.6.37_2.6.37-1_all.deb
Files: 
 b635e52dc9d84f57624d0ad4e37c56fa 5732 kernel optional linux-2.6_2.6.37-1.dsc
 372334b844fd01e50d1fc98c54b001c5 532798 kernel optional linux-2.6_2.6.37-1.diff.gz
 a77c66d84570faa39240807f56e75a5e 151864 devel optional linux-support-2.6.37-1_2.6.37-1_all.deb
 55a474accd95d7d3ce7b773cd74e3e2d 313928 kernel optional linux-patch-debian-2.6.37_2.6.37-1_all.deb
 ffeee1c79ab057ec38f45839e45c15c6 161238 kernel optional linux-base_2.6.37-1_all.deb
 f3e91695a9496247f48ab5919215d041 140324 kernel optional firmware-linux-free_2.6.37-1_all.deb
 e63e1f71ead3d6a1f5001a6cf00f8579 6605054 doc optional linux-doc-2.6.37_2.6.37-1_all.deb
 6c6f3d72c4fc5f84fbd335f02968653f 3016258 doc optional linux-manual-2.6.37_2.6.37-1_all.deb
 087ca053937d36937c2adb9c041d28b7 72637072 kernel optional linux-source-2.6.37_2.6.37-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTVp54Oe/yOyVhhEJAQpmIRAA0R6l9v2fd6lDTZE422f9vwcRD04Vn0Fi
8FX4qCOlnX1DkkIQcLcVTm6Ff30fbqygCPyiC5WDxAqK8atJv2BSwkd7hjamhWoT
iSoVxtfF2qTeLlfq6ghIt5aR3YvdtdFlNa5D7iaIgK9DYQPAWnWIs+P/FRrg8C/x
RAkZ3nimK5wDcnGKOTywyJn4bhH68ikew9f/EVu6qvNoT0gopulNX+um+SGQteGH
mg9aaafUWfXszamKhvYX8hcnzL/k0FxVxuMMIJM3wLImu/EhXd4S43wTi17sWvOG
MJ5XpQcvaNhTAiyJPR6LpcgJbMpUUfZOhfGM6RQK4FLka7JWXDmX6iFEHP84IjSx
P9Dl5e+hoRFK/UDhKLgI2LxoI0RRv54wFbqTNBbqWmAyY/Xotr4RKBqWPYsxPWZb
jEgC44N2Zdk+23WvMesRXwmvfeRC309Lkod5FdDsNU+Qkfyhr5PQtgz+c9lTOciA
gaVkGL/fGPgdvBBBZvn3ZpanH/tEABg+xbXzgAQN68BW8DvEfv9mLOJxNltCn44/
U+WWRXcke37LpW6AsPeYECJ2IZRMbC/4+k0usIHiwyTLi6yn0D/h8kRIECqZWw/u
hnmNuJd3MA/SbZ7ylO4ilV/DUJmKDSRNkvQEpnYjWqzC5dJgv0p0z8ySo/9dlwvE
1Gten4BIElo=
=n7X1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#573189; Package linux-2.6. (Tue, 15 Feb 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Feb 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #102 received at 573189@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Андрей Василишин <a.vasilishin@kpi.ua>
Cc: 573189@bugs.debian.org
Subject: Re: Bug#573189: linux-image-2.6.33-2-686: aufs does not work in, 2.6.33
Date: Tue, 15 Feb 2011 17:24:49 +0000
On Tue, Feb 15, 2011 at 06:27:44PM +0200, Андрей Василишин wrote:
[...]
> mhddfs uses FUSE and if Valerie Aurora make the same it like
> reinvent the wheel.
> In any case, I am ready to become a beta-tester for new filesystem.
 
Valerie has proposed changes to the VFS to make 'union mounts' work.
Union mounts would be a new type of filesystem-mount, rather than a
new filesystem.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 17 Feb 2011 11:33:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Mar 2011 07:46:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:56:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.